/****************************************************************
    Project:                    Platform Independent Module
    This File:                  pim_dos.h
    Last updated:               %U% %G%
    Version:                    %R%.%L%
    Last checked out:           %T% %H%
Copyright (c) 1993-1999 Rapport Limited. All rights reserved.
****************************************************************/

/*** Avoid multiple includes ***/

#ifndef PIM_DOS_DOT_H
#define PIM_DOS_DOT_H


/*******************************
This version for:
  Machine:     IBM PC,
  Compiler:    watcom,
  Environment: DOS,
*******************************/


/*** Define platform type ***/

#define PIM_PLATFORM   PIM_DOS


/*** Define platform name ***/

#define PIM_PLATFORM_NAME   "DOS"


/*** Define native bus word size ***/

#define PIM_BUS_BYTE_SIZE   4


/*** Byte order is low first ***/

#define PIM_BYTE_ORDER   PIM_LOW_ORDER_FIRST


/*** Right shift >> works with signed integers ***/

#define PIM_RIGHT_SHIFT_SIGNED_OK   TRUE


/*** Flag whether floating point is faster than fixed point ***/

#define PIM_FLOATS_ARE_FASTER   TRUE


/*** Filenames ***/

#define PIM_MAXIMUM_FILENAME_LENGTH        13
#define PIM_MAXIMUM_FILENAME_PATH_LENGTH   256

#define PIM_EXTENSION_SEPARATOR   '.'

#define PIM_DIRECTORY_SEPARATOR          '\\'
#define PIM_DIRECTORY_SEPARATOR_STRING   "\\"

#define PIM_TEMPLATE_WILD_MANY   '*'
#define PIM_TEMPLATE_WILD_ONE    '?'
#define PIM_TEMPLATE_LITERAL     257


/*** PIM base types ***/

typedef signed char      PIM_Int8;
typedef unsigned char    PIM_UInt8;
typedef signed short     PIM_Int16;
typedef unsigned short   PIM_UInt16;
typedef signed long      PIM_Int32;
typedef unsigned long    PIM_UInt32;
typedef float            PIM_Float32;
typedef double           PIM_Float64;

typedef int            PIM_Int;
typedef unsigned int   PIM_UInt;


/************************
  Header for pim_dos.c
************************/

#define PIM_ConvertToIEEEFloat(pim_float_number)
#define PIM_ConvertToNativeFloat(pim_float_number)


#endif
